Bug 1012295 - Could not create drupal quickstart with zend-5.6 cartridge successfully
Could not create drupal quickstart with zend-5.6 cartridge successfully
Status: CLOSED CURRENTRELEASE
Product: OpenShift Online
Classification: Red Hat
Component: Containers (Show other bugs)
2.x
Unspecified Unspecified
medium Severity medium
: ---
: ---
Assigned To: Andy Goldstein
libra bugs
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-26 04:41 EDT by Wei Sun
Modified: 2015-05-14 19:29 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-01-29 19:48:43 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
STG_528_ncdc_drupal.log (9.64 KB, text/plain)
2013-10-23 05:54 EDT, Meng Bo
no flags Details
STG_528_openshift_drupal.log (8.89 KB, text/plain)
2013-10-23 05:55 EDT, Meng Bo
no flags Details

  None (edit)
Description Wei Sun 2013-09-26 04:41:55 EDT
Description of problem:
Create drupal quickstart with zend-5.6 cartridge,but could not create successfully.There are some error messages:
The initial build for the application failed: Shell command '/sbin/runuser -s /bin/sh 5243ebb31870c3bec6000043 -c "exec /usr/bin/runcon 'unconfined_u:system_r:openshift_t:s0:c0,c1005' /bin/sh -c \"gear
postreceive >> /tmp/initial-build.log 2>&1\""' returned an error. rc=255

PHP Warning:  PHP Startup: Unable to load dynamic library '/usr/local/zend/lib/php/20090626/bcmath.so' - /usr/local/zend/lib/php/20090626/bcmath.so: cannot open shared object file: No such file or directory in
Unknown on line 0
PHP Warning:  PHP Startup: Unable to load dynamic library '/usr/local/zend/lib/php/20090626/bz2.so' - /usr/local/zend/lib/php/20090626/bz2.so: cannot open shared object file: No such file or directory in Unknown
on line 0


Version-Release number of selected component (if applicable):
devenv_3829

How reproducible:
Always

Steps to Reproduce:
1.Create a drupal-quickstart app with zend-5.6
rhc app create drupal zend-5.6 mysql-5.1 cron --from-code=git://github.com/openshift/drupal-quickstart.git
2.
3.

Actual results:
[root@ip-10-184-29-139 ~]# rhc app create drupalz zend-5.6 mysql-5 cron --from-code=git://github.com/openshift/drupal-quickstart.git
Using mysql-5.1 (MySQL Database 5.1) for 'mysql-5'
Using cron-1.4 (Cron 1.4) for 'cron'

Application Options
-------------------
  Namespace:   wsun3829
  Cartridges:  zend-5.6, mysql-5.1, cron-1.4
  Source Code: git://github.com/openshift/drupal-quickstart.git
  Gear Size:   default
  Scaling:     no

Creating application 'drupalz' ... 
The initial build for the application failed: Shell command '/sbin/runuser -s /bin/sh 5243ebb31870c3bec6000043 -c "exec /usr/bin/runcon 'unconfined_u:system_r:openshift_t:s0:c0,c1005' /bin/sh -c \"gear
postreceive >> /tmp/initial-build.log 2>&1\""' returned an error. rc=255

.Last 10 kB of build output:
Stopping Cron cartridge
Stopping Zend Server Console
lighttpd is not running
Stopping Zend Server JobQueue daemon
jqd is not running
Stopping Apache
Syntax error on line 2 of /var/lib/openshift/5243ebb31870c3bec6000043/zend/configuration/etc/conf.d/openshift.conf:
DocumentRoot must be a directory
httpd (no pid file) not running
Stopping Zend Server Monitor node
monitor is not running
Stopping Zend Server Deployment daemon
zdd is not running
Stopping MySQL cartridge
Checking pear: pear.drush.org/drush

PHP Warning:  PHP Startup: Unable to load dynamic library '/usr/local/zend/lib/php/20090626/bcmath.so' - /usr/local/zend/lib/php/20090626/bcmath.so: cannot open shared object file: No such file or directory in
Unknown on line 0
PHP Warning:  PHP Startup: Unable to load dynamic library '/usr/local/zend/lib/php/20090626/bz2.so' - /usr/local/zend/lib/php/20090626/bz2.so: cannot open shared object file: No such file or directory in Unknown
on line 0
PHP Warning:  PHP Startup: Unable to load dynamic library '/usr/local/zend/lib/php/20090626/calendar.so' - /usr/local/zend/lib/php/20090626/calendar.so: cannot open shared object file: No such file or directory
in Unknown on line 0
PHP Warning:  PHP Startup: Unable to load dynamic library '/usr/local/zend/lib/php/20090626/ctype.so' - /usr/local/zend/lib/php/20090626/ctype.so: cannot open shared object file: No such file or directory in
Unknown on line 0
PHP Warning:  PHP Startup: Unable to load dynamic library '/usr/local/zend/lib/php/20090626/curl.so' - /usr/local/zend/lib/php/20090626/curl.so: cannot open shared object file: No such file or directory in
Unknown on line 0
PHP Warning:  PHP Startup: Unable to load dynamic library '/usr/local/zend/lib/php/20090626/exif.so' - /usr/local/zend/lib/php/20090626/exif.so: cannot open shared object file: No such file or directory in
Unknown on line 0
PHP Warning:  PHP Startup: Unable to load dynamic library '/usr/local/zend/lib/php/20090626/fileinfo.so' - /usr/local/zend/lib/php/20090626/fileinfo.so: cannot open shared object file: No such file or directory
in Unknown on line 0
PHP Warning:  PHP Startup: Unable to load dynamic library '/usr/local/zend/lib/php/20090626/ftp.so' - /usr/local/zend/lib/php/20090626/ftp.so: cannot open shared object file: No such file or directory in Unknown
on line 0
PHP Warning:  PHP Startup: Unable to load dynamic library '/usr/local/zend/lib/php/20090626/gd.so' - /usr/local/zend/lib/php/20090626/gd.so: cannot open shared object file: No such file or directory in Unknown
on line 0
PHP Warning:  PHP Startup: Unable to load dynamic library '/usr/local/zend/lib/php/20090626/gettext.so' - /usr/local/zend/lib/php/20090626/gettext.so: cannot open shared object file: No such file or directory in
Unknown on line 0
PHP Warning:  PHP Startup: Unable to load dynamic library '/usr/local/zend/lib/php/20090626/imap.so' - /usr/local/zend/lib/php/20090626/imap.so: cannot open shared object file: No such file or directory in
Unknown on line 0
PHP Warning:  PHP Startup: Unable to load dynamic library '/usr/local/zend/lib/php/20090626/intl.so' - /usr/local/zend/lib/php/20090626/intl.so: cannot open shared object file: No such file or directory in
Unknown on line 0
PHP Warning:  PHP Startup: Unable to load dynamic library '/usr/local/zend/lib/php/20090626/json.so' - /usr/local/zend/lib/php/20090626/json.so: cannot open shared object file: No such file or directory in
Unknown on line 0
PHP Warning:  PHP Startup: Unable to load dynamic library '/usr/local/zend/lib/php/20090626/ldap.so' - /usr/local/zend/lib/php/20090626/ldap.so: cannot open shared object file: No such file or directory in
Unknown on line 0
PHP Warning:  PHP Startup: Unable to load dynamic library '/usr/local/zend/lib/php/20090626/mbstring.so' - /usr/local/zend/lib/php/20090626/mbstring.so: cannot open shared object file: No such file or directory
in Unknown on line 0
PHP Warning:  PHP Startup: Unable to load dynamic library '/usr/local/zend/lib/php/20090626/mcrypt.so' - /usr/local/zend/lib/php/20090626/mcrypt.so: cannot open shared object file: No such file or directory in
Unknown on line 0
PHP Warning:  PHP Startup: Unable to load dynamic library '/usr/local/zend/lib/php/20090626/mongo.so' - /usr/local/zend/lib/php/20090626/mongo.so: cannot open shared object file: No such file or directory in
Unknown on line 0
PHP Warning:  PHP Startup: Unable to load dynamic library '/usr/local/zend/lib/php/20090626/mysql.so' - /usr/local/zend/lib/php/20090626/mysql.so: cannot open shared object file: No such file or directory in
Unknown on line 0
PHP Warning:  PHP Startup: Unable to load dynamic library '/usr/local/zend/lib/php/20090626/mysqli.so' - /usr/local/zend/lib/php/20090626/mysqli.so: cannot open shared object file: No such file or directory in
Unknown on line 0
PHP Warning:  PHP Startup: Unable to load dynamic library '/usr/local/zend/lib/php/20090626/pdo_mysql.so' - /usr/local/zend/lib/php/20090626/pdo_mysql.so: cannot open shared object file: No such file or
directory in Unknown on line 0
PHP Warning:  PHP Startup: Unable to load dynamic library '/usr/local/zend/lib/php/20090626/pdo_pgsql.so' - /usr/local/zend/lib/php/20090626/pdo_pgsql.so: cannot open shared object file: No such file or
directory in Unknown on line 0
PHP Warning:  PHP Startup: Unable to load dynamic library '/usr/local/zend/lib/php/20090626/pgsql.so' - /usr/local/zend/lib/php/20090626/pgsql.so: cannot open shared object file: No such file or directory in
Unknown on line 0
PHP Warning:  PHP Startup: Unable to load dynamic library '/usr/local/zend/lib/php/20090626/phar.so' - /usr/local/zend/lib/php/20090626/phar.so: cannot open shared object file: No such file or directory in
Unknown on line 0
PHP Warning:  PHP Startup: Unable to load dynamic library '/usr/local/zend/lib/php/20090626/posix.so' - /usr/local/zend/lib/php/20090626/posix.so: cannot open shared object file: No such file or directory in
Unknown on line 0
PHP Warning:  PHP Startup: Unable to load dynamic library '/usr/local/zend/lib/php/20090626/soap.so' - /usr/local/zend/lib/php/20090626/soap.so: cannot open shared object file: No such file or directory in
Unknown on line 0
PHP Warning:  PHP Startup: Unable to load dynamic library '/usr/local/zend/lib/php/20090626/sockets.so' - /usr/local/zend/lib/php/20090626/sockets.so: cannot open shared object file: No such file or directory in
Unknown on line 0
PHP Warning:  PHP Startup: Unable to load dynamic library '/usr/local/zend/lib/php/20090626/sqlite.so' - /usr/local/zend/lib/php/20090626/sqlite.so: cannot open shared object file: No such file or directory in
Unknown on line 0
PHP Warning:  PHP Startup: Unable to load dynamic library '/usr/local/zend/lib/php/20090626/tidy.so' - /usr/local/zend/lib/php/20090626/tidy.so: cannot open shared object file: No such file or directory in
Unknown on line 0
PHP Warning:  PHP Startup: Unable to load dynamic library '/usr/local/zend/lib/php/20090626/tokenizer.so' - /usr/local/zend/lib/php/20090626/tokenizer.so: cannot open shared object file: No such file or
directory in Unknown on line 0
PHP Warning:  PHP Startup: Unable to load dynamic library '/usr/local/zend/lib/php/20090626/xsl.so' - /usr/local/zend/lib/php/20090626/xsl.so: cannot open shared object file: No such file or directory in Unknown
on line 0
PHP Warning:  PHP Startup: Unable to load dynamic library '/usr/local/zend/lib/php/20090626/zip.so' - /usr/local/zend/lib/php/20090626/zip.so: cannot open shared object file: No such file or directory in Unknown
on line 0
Attempting to discover channel "pear.drush.org"...
downloading channel.xml ...
Starting to download channel.xml (804 bytes)
....done: 804 bytes
Auto-discovered channel "pear.drush.org", alias "drush", adding to registry
downloading drush-6.0.0.tgz ...
Starting to download drush-6.0.0.tgz (508,464 bytes)
...done: 508,464 bytes
install ok: channel://pear.drush.org/drush-6.0.0

/var/lib/openshift/5243ebb31870c3bec6000043/app-root/runtime/repo/.openshift/action_hooks/build: line 24: /var/lib/openshift/5243ebb31870c3bec6000043//.drush/drushrc.php: No such file or directory
An error occurred executing 'gear postreceive' (exit code: 1)
Error message: Failed to execute action hook 'build' for 5243ebb31870c3bec6000043 application drupalz

For more details about the problem, try running the command again with the '--trace' option.


Expected results:
Could create drupal quickstart with zend-5.6 cartridge

Additional info:
1.Could create drupal quickstart with php cartridge
2.We supported drupal quickstart with zend cartridge before
Comment 3 openshift-github-bot 2013-10-14 12:31:27 EDT
Commit pushed to master at https://github.com/openshift/li

https://github.com/openshift/li/commit/1c93642af1746678ff1b26822ffb6f74867052b9
Bug 1012295 - Create the HOMEDIR/.drush directory
Comment 4 Meng Bo 2013-10-15 03:34:59 EDT
Checked on currect STG, the fix was not merged in to stage.
Comment 5 Qiushui Zhang 2013-10-15 05:43:27 EDT
Test on devenv_3898.

The drupal app is created successfully.

[openshift@dhcp-10-143 tmp]$ rhc app create drupal zend-5.6 mysql-5.1 cron --from-code=git://github.com/openshift/drupal-quickstart.git
Using cron-1.4 (Cron 1.4) for 'cron'

Application Options
-------------------
  Domain:      qiuzhang
  Cartridges:  zend-5.6, mysql-5.1, cron-1.4
  Source Code: git://github.com/openshift/drupal-quickstart.git
  Gear Size:   default
  Scaling:     no

Creating application 'drupal' ... done

  Failed to start Apache
  Note: You should set password for the Zend Server Console at: https://drupal-qiuzhang.dev.rhcloud.com/ZendServer

MySQL 5.1 database added.  Please make note of these credentials:

       Root User: adminIfThGjJ
   Root Password: RYy5clbxanHm
   Database Name: drupal

Connection URL: mysql://$OPENSHIFT_MYSQL_DB_HOST:$OPENSHIFT_MYSQL_DB_PORT/

You can manage your new MySQL database by also embedding phpmyadmin.
The phpmyadmin username and password will be the same as the MySQL credentials above.

To schedule your scripts to run on a periodic basis, add the scripts to 
your application's .openshift/cron/{minutely,hourly,daily,weekly,monthly}/
directories (and commit and redeploy your application).

Example: A script .openshift/cron/hourly/crony added to your application
         will be executed once every hour.
         Similarly, a script .openshift/cron/weekly/chronograph added
         to your application will be executed once every week.

Zend Server 5.6 started successfully
Zend Server 5.6 stopped successfully

Waiting for your DNS name to be available ... done

Cloning into 'drupal'...
Warning: Permanently added 'drupal-qiuzhang.dev.rhcloud.com' (RSA) to the list of known hosts.

Your application 'drupal' is now available.

  URL:        http://drupal-qiuzhang.dev.rhcloud.com/
  SSH to:     525d0dc97d7cccc15d0000ce@drupal-qiuzhang.dev.rhcloud.com
  Git remote: ssh://525d0dc97d7cccc15d0000ce@drupal-qiuzhang.dev.rhcloud.com/~/git/drupal.git/
  Cloned to:  /home/openshift/tmp/drupal

Run 'rhc show-app drupal' for more details about your app.


Mark the bug as verified.
Comment 6 XiuJuan Wang 2013-10-20 23:04:35 EDT
1. Test on devenv_3921

The drupal app is not created successfully.
The error messege  is the same with before
[wxj@wangxiuj .openshift]$ rhc app create drupal zend-5.6 mysql-5.1 cron --from-code=git://github.com/openshift/drupal-quickstart.git
Using cron-1.4 (Cron 1.4) for 'cron'

Application Options
-------------------
  Domain:      wxj
  Cartridges:  zend-5.6, mysql-5.1, cron-1.4
  Source Code: git://github.com/openshift/drupal-quickstart.git
  Gear Size:   default
  Scaling:     no

Creating application 'drupal' ... 
The initial build for the application failed: Shell command '/sbin/runuser -s /bin/sh 5264980520dcc7e805000167
-c "exec /usr/bin/runcon 'unconfined_u:system_r:openshift_t:s0:c0,c1007' /bin/sh -c \"gear postreceive >>
/tmp/initial-build.log 2>&1\""' returned an error. rc=255

.Last 10 kB of build output:
Stopping Cron cartridge
Stopping Zend Server Console
lighttpd is not running
Stopping Zend Server JobQueue daemon
jqd is not running
Stopping Apache
Syntax error on line 2 of
/var/lib/openshift/5264980520dcc7e805000167/zend/configuration/etc/conf.d/openshift.conf:
DocumentRoot must be a directory
httpd (no pid file) not running
Stopping Zend Server Monitor node
monitor is not running
Stopping Zend Server Deployment daemon
zdd is not running
Stopping MySQL cartridge
Building git ref 'master', commit bcc1761
Checking pear: pear.drush.org/drush

PHP Warning:  PHP Startup: Unable to load dynamic library '/usr/local/zend/lib/php/20090626/bcmath.so' -
/usr/local/zend/lib/php/20090626/bcmath.so: cannot open shared object file: No such file or directory in
Unknown on line 0
PHP Warning:  PHP Startup: Unable to load dynamic library '/usr/local/zend/lib/php/20090626/bz2.so' -
/usr/local/zend/lib/php/20090626/bz2.so: cannot open shared object file: No such file or directory in Unknown
on line 0
PHP Warning:  PHP Startup: Unable to load dynamic library '/usr/local/zend/lib/php/20090626/calendar.so' -
/usr/local/zend/lib/php/20090626/calendar.so: cannot open shared object file: No such file or directory in
Unknown on line 0
PHP Warning:  PHP Startup: Unable to load dynamic library '/usr/local/zend/lib/php/20090626/ctype.so' -
/usr/local/zend/lib/php/20090626/ctype.so: cannot open shared object file: No such file or directory in
Unknown on line 0
PHP Warning:  PHP Startup: Unable to load dynamic library '/usr/local/zend/lib/php/20090626/curl.so' -
/usr/local/zend/lib/php/20090626/curl.so: cannot open shared object file: No such file or directory in Unknown
on line 0
PHP Warning:  PHP Startup: Unable to load dynamic library '/usr/local/zend/lib/php/20090626/exif.so' -
/usr/local/zend/lib/php/20090626/exif.so: cannot open shared object file: No such file or directory in Unknown
on line 0
PHP Warning:  PHP Startup: Unable to load dynamic library '/usr/local/zend/lib/php/20090626/fileinfo.so' -
/usr/local/zend/lib/php/20090626/fileinfo.so: cannot open shared object file: No such file or directory in
Unknown on line 0
PHP Warning:  PHP Startup: Unable to load dynamic library '/usr/local/zend/lib/php/20090626/ftp.so' -
/usr/local/zend/lib/php/20090626/ftp.so: cannot open shared object file: No such file or directory in Unknown
on line 0
PHP Warning:  PHP Startup: Unable to load dynamic library '/usr/local/zend/lib/php/20090626/gd.so' -
/usr/local/zend/lib/php/20090626/gd.so: cannot open shared object file: No such file or directory in Unknown
on line 0
PHP Warning:  PHP Startup: Unable to load dynamic library '/usr/local/zend/lib/php/20090626/gettext.so' -
/usr/local/zend/lib/php/20090626/gettext.so: cannot open shared object file: No such file or directory in
Unknown on line 0
PHP Warning:  PHP Startup: Unable to load dynamic library '/usr/local/zend/lib/php/20090626/imap.so' -
/usr/local/zend/lib/php/20090626/imap.so: cannot open shared object file: No such file or directory in Unknown
on line 0
PHP Warning:  PHP Startup: Unable to load dynamic library '/usr/local/zend/lib/php/20090626/intl.so' -
/usr/local/zend/lib/php/20090626/intl.so: cannot open shared object file: No such file or directory in Unknown
on line 0
PHP Warning:  PHP Startup: Unable to load dynamic library '/usr/local/zend/lib/php/20090626/json.so' -
/usr/local/zend/lib/php/20090626/json.so: cannot open shared object file: No such file or directory in Unknown
on line 0
PHP Warning:  PHP Startup: Unable to load dynamic library '/usr/local/zend/lib/php/20090626/ldap.so' -
/usr/local/zend/lib/php/20090626/ldap.so: cannot open shared object file: No such file or directory in Unknown
on line 0
PHP Warning:  PHP Startup: Unable to load dynamic library '/usr/local/zend/lib/php/20090626/mbstring.so' -
/usr/local/zend/lib/php/20090626/mbstring.so: cannot open shared object file: No such file or directory in
Unknown on line 0
PHP Warning:  PHP Startup: Unable to load dynamic library '/usr/local/zend/lib/php/20090626/mcrypt.so' -
/usr/local/zend/lib/php/20090626/mcrypt.so: cannot open shared object file: No such file or directory in
Unknown on line 0
PHP Warning:  PHP Startup: Unable to load dynamic library '/usr/local/zend/lib/php/20090626/mongo.so' -
/usr/local/zend/lib/php/20090626/mongo.so: cannot open shared object file: No such file or directory in
Unknown on line 0
PHP Warning:  PHP Startup: Unable to load dynamic library '/usr/local/zend/lib/php/20090626/mysql.so' -
/usr/local/zend/lib/php/20090626/mysql.so: cannot open shared object file: No such file or directory in
Unknown on line 0
PHP Warning:  PHP Startup: Unable to load dynamic library '/usr/local/zend/lib/php/20090626/mysqli.so' -
/usr/local/zend/lib/php/20090626/mysqli.so: cannot open shared object file: No such file or directory in
Unknown on line 0
PHP Warning:  PHP Startup: Unable to load dynamic library '/usr/local/zend/lib/php/20090626/pdo_mysql.so' -
/usr/local/zend/lib/php/20090626/pdo_mysql.so: cannot open shared object file: No such file or directory in
Unknown on line 0
PHP Warning:  PHP Startup: Unable to load dynamic library '/usr/local/zend/lib/php/20090626/pdo_pgsql.so' -
/usr/local/zend/lib/php/20090626/pdo_pgsql.so: cannot open shared object file: No such file or directory in
Unknown on line 0
PHP Warning:  PHP Startup: Unable to load dynamic library '/usr/local/zend/lib/php/20090626/pgsql.so' -
/usr/local/zend/lib/php/20090626/pgsql.so: cannot open shared object file: No such file or directory in
Unknown on line 0
PHP Warning:  PHP Startup: Unable to load dynamic library '/usr/local/zend/lib/php/20090626/phar.so' -
/usr/local/zend/lib/php/20090626/phar.so: cannot open shared object file: No such file or directory in Unknown
on line 0
PHP Warning:  PHP Startup: Unable to load dynamic library '/usr/local/zend/lib/php/20090626/posix.so' -
/usr/local/zend/lib/php/20090626/posix.so: cannot open shared object file: No such file or directory in
Unknown on line 0
PHP Warning:  PHP Startup: Unable to load dynamic library '/usr/local/zend/lib/php/20090626/soap.so' -
/usr/local/zend/lib/php/20090626/soap.so: cannot open shared object file: No such file or directory in Unknown
on line 0
PHP Warning:  PHP Startup: Unable to load dynamic library '/usr/local/zend/lib/php/20090626/sockets.so' -
/usr/local/zend/lib/php/20090626/sockets.so: cannot open shared object file: No such file or directory in
Unknown on line 0
PHP Warning:  PHP Startup: Unable to load dynamic library '/usr/local/zend/lib/php/20090626/sqlite.so' -
/usr/local/zend/lib/php/20090626/sqlite.so: cannot open shared object file: No such file or directory in
Unknown on line 0
PHP Warning:  PHP Startup: Unable to load dynamic library '/usr/local/zend/lib/php/20090626/tidy.so' -
/usr/local/zend/lib/php/20090626/tidy.so: cannot open shared object file: No such file or directory in Unknown
on line 0
PHP Warning:  PHP Startup: Unable to load dynamic library '/usr/local/zend/lib/php/20090626/tokenizer.so' -
/usr/local/zend/lib/php/20090626/tokenizer.so: cannot open shared object file: No such file or directory in
Unknown on line 0
PHP Warning:  PHP Startup: Unable to load dynamic library '/usr/local/zend/lib/php/20090626/xsl.so' -
/usr/local/zend/lib/php/20090626/xsl.so: cannot open shared object file: No such file or directory in Unknown
on line 0
PHP Warning:  PHP Startup: Unable to load dynamic library '/usr/local/zend/lib/php/20090626/zip.so' -
/usr/local/zend/lib/php/20090626/zip.so: cannot open shared object file: No such file or directory in Unknown
on line 0

Warning: mkdir(): File exists in System.php on line 285
could not create directory '/var/lib/openshift/5264980520dcc7e805000167/zend/phplib/pear/pear/php/.registry'
An error occurred executing 'gear postreceive' (exit code: 1)
Error message: Failed to execute: 'control build' for /var/lib/openshift/5264980520dcc7e805000167/zend

For more details about the problem, try running the command again with the '--trace' option.
Comment 7 XiuJuan Wang 2013-10-20 23:06:34 EDT
2. Test on the STG
It is also  not created successfully

[wxh@wangxiuj ~]$ rhc app create drupal zend-5.6 mysql-5.1 cron --from-code=git://github.com/openshift/drupal-quickstart.git
Using cron-1.4 (Cron 1.4) for 'cron'

Application Options
-------------------
  Domain:      wangxiuj
  Cartridges:  zend-5.6, mysql-5.1, cron-1.4
  Source Code: git://github.com/openshift/drupal-quickstart.git
  Gear Size:   default
  Scaling:     no

Creating application 'drupal' ... 
The initial build for the application failed: Shell command '/sbin/runuser -s /bin/sh 526492a7dbd93ca96d000001
-c "exec /usr/bin/runcon 'unconfined_u:system_r:openshift_t:s0:c4,c880' /bin/sh -c \"gear postreceive >>
/tmp/initial-build.log 2>&1\""' returned an error. rc=255

.Last 10 kB of build output:
Stopping MySQL cartridge
Stopping Cron cartridge
Stopping Zend Server Console
lighttpd is not running
Stopping Zend Server JobQueue daemon
jqd is not running
Stopping Apache
Syntax error on line 2 of
/var/lib/openshift/526492a7dbd93ca96d000001/zend/configuration/etc/conf.d/openshift.conf:
DocumentRoot must be a directory
httpd (no pid file) not running
Stopping Zend Server Monitor node
monitor is not running
Stopping Zend Server Deployment daemon
zdd is not running
Checking pear: pear.drush.org/drush

PHP Warning:  PHP Startup: Unable to load dynamic library '/usr/local/zend/lib/php/20090626/bcmath.so' -
/usr/local/zend/lib/php/20090626/bcmath.so: cannot open shared object file: No such file or directory in
Unknown on line 0
PHP Warning:  PHP Startup: Unable to load dynamic library '/usr/local/zend/lib/php/20090626/bz2.so' -
/usr/local/zend/lib/php/20090626/bz2.so: cannot open shared object file: No such file or directory in Unknown
on line 0
PHP Warning:  PHP Startup: Unable to load dynamic library '/usr/local/zend/lib/php/20090626/calendar.so' -
/usr/local/zend/lib/php/20090626/calendar.so: cannot open shared object file: No such file or directory in
Unknown on line 0
PHP Warning:  PHP Startup: Unable to load dynamic library '/usr/local/zend/lib/php/20090626/ctype.so' -
/usr/local/zend/lib/php/20090626/ctype.so: cannot open shared object file: No such file or directory in
Unknown on line 0
PHP Warning:  PHP Startup: Unable to load dynamic library '/usr/local/zend/lib/php/20090626/curl.so' -
/usr/local/zend/lib/php/20090626/curl.so: cannot open shared object file: No such file or directory in Unknown
on line 0
PHP Warning:  PHP Startup: Unable to load dynamic library '/usr/local/zend/lib/php/20090626/exif.so' -
/usr/local/zend/lib/php/20090626/exif.so: cannot open shared object file: No such file or directory in Unknown
on line 0
PHP Warning:  PHP Startup: Unable to load dynamic library '/usr/local/zend/lib/php/20090626/fileinfo.so' -
/usr/local/zend/lib/php/20090626/fileinfo.so: cannot open shared object file: No such file or directory in
Unknown on line 0
PHP Warning:  PHP Startup: Unable to load dynamic library '/usr/local/zend/lib/php/20090626/ftp.so' -
/usr/local/zend/lib/php/20090626/ftp.so: cannot open shared object file: No such file or directory in Unknown
on line 0
PHP Warning:  PHP Startup: Unable to load dynamic library '/usr/local/zend/lib/php/20090626/gd.so' -
/usr/local/zend/lib/php/20090626/gd.so: cannot open shared object file: No such file or directory in Unknown
on line 0
PHP Warning:  PHP Startup: Unable to load dynamic library '/usr/local/zend/lib/php/20090626/gettext.so' -
/usr/local/zend/lib/php/20090626/gettext.so: cannot open shared object file: No such file or directory in
Unknown on line 0
PHP Warning:  PHP Startup: Unable to load dynamic library '/usr/local/zend/lib/php/20090626/imap.so' -
/usr/local/zend/lib/php/20090626/imap.so: cannot open shared object file: No such file or directory in Unknown
on line 0
PHP Warning:  PHP Startup: Unable to load dynamic library '/usr/local/zend/lib/php/20090626/intl.so' -
/usr/local/zend/lib/php/20090626/intl.so: cannot open shared object file: No such file or directory in Unknown
on line 0
PHP Warning:  PHP Startup: Unable to load dynamic library '/usr/local/zend/lib/php/20090626/json.so' -
/usr/local/zend/lib/php/20090626/json.so: cannot open shared object file: No such file or directory in Unknown
on line 0
PHP Warning:  PHP Startup: Unable to load dynamic library '/usr/local/zend/lib/php/20090626/ldap.so' -
/usr/local/zend/lib/php/20090626/ldap.so: cannot open shared object file: No such file or directory in Unknown
on line 0
PHP Warning:  PHP Startup: Unable to load dynamic library '/usr/local/zend/lib/php/20090626/mbstring.so' -
/usr/local/zend/lib/php/20090626/mbstring.so: cannot open shared object file: No such file or directory in
Unknown on line 0
PHP Warning:  PHP Startup: Unable to load dynamic library '/usr/local/zend/lib/php/20090626/mcrypt.so' -
/usr/local/zend/lib/php/20090626/mcrypt.so: cannot open shared object file: No such file or directory in
Unknown on line 0
PHP Warning:  PHP Startup: Unable to load dynamic library '/usr/local/zend/lib/php/20090626/mongo.so' -
/usr/local/zend/lib/php/20090626/mongo.so: cannot open shared object file: No such file or directory in
Unknown on line 0
PHP Warning:  PHP Startup: Unable to load dynamic library '/usr/local/zend/lib/php/20090626/mysql.so' -
/usr/local/zend/lib/php/20090626/mysql.so: cannot open shared object file: No such file or directory in
Unknown on line 0
PHP Warning:  PHP Startup: Unable to load dynamic library '/usr/local/zend/lib/php/20090626/mysqli.so' -
/usr/local/zend/lib/php/20090626/mysqli.so: cannot open shared object file: No such file or directory in
Unknown on line 0
PHP Warning:  PHP Startup: Unable to load dynamic library '/usr/local/zend/lib/php/20090626/pdo_mysql.so' -
/usr/local/zend/lib/php/20090626/pdo_mysql.so: cannot open shared object file: No such file or directory in
Unknown on line 0
PHP Warning:  PHP Startup: Unable to load dynamic library '/usr/local/zend/lib/php/20090626/pdo_pgsql.so' -
/usr/local/zend/lib/php/20090626/pdo_pgsql.so: cannot open shared object file: No such file or directory in
Unknown on line 0
PHP Warning:  PHP Startup: Unable to load dynamic library '/usr/local/zend/lib/php/20090626/pgsql.so' -
/usr/local/zend/lib/php/20090626/pgsql.so: cannot open shared object file: No such file or directory in
Unknown on line 0
PHP Warning:  PHP Startup: Unable to load dynamic library '/usr/local/zend/lib/php/20090626/phar.so' -
/usr/local/zend/lib/php/20090626/phar.so: cannot open shared object file: No such file or directory in Unknown
on line 0
PHP Warning:  PHP Startup: Unable to load dynamic library '/usr/local/zend/lib/php/20090626/posix.so' -
/usr/local/zend/lib/php/20090626/posix.so: cannot open shared object file: No such file or directory in
Unknown on line 0
PHP Warning:  PHP Startup: Unable to load dynamic library '/usr/local/zend/lib/php/20090626/soap.so' -
/usr/local/zend/lib/php/20090626/soap.so: cannot open shared object file: No such file or directory in Unknown
on line 0
PHP Warning:  PHP Startup: Unable to load dynamic library '/usr/local/zend/lib/php/20090626/sockets.so' -
/usr/local/zend/lib/php/20090626/sockets.so: cannot open shared object file: No such file or directory in
Unknown on line 0
PHP Warning:  PHP Startup: Unable to load dynamic library '/usr/local/zend/lib/php/20090626/sqlite.so' -
/usr/local/zend/lib/php/20090626/sqlite.so: cannot open shared object file: No such file or directory in
Unknown on line 0
PHP Warning:  PHP Startup: Unable to load dynamic library '/usr/local/zend/lib/php/20090626/tidy.so' -
/usr/local/zend/lib/php/20090626/tidy.so: cannot open shared object file: No such file or directory in Unknown
on line 0
PHP Warning:  PHP Startup: Unable to load dynamic library '/usr/local/zend/lib/php/20090626/tokenizer.so' -
/usr/local/zend/lib/php/20090626/tokenizer.so: cannot open shared object file: No such file or directory in
Unknown on line 0
PHP Warning:  PHP Startup: Unable to load dynamic library '/usr/local/zend/lib/php/20090626/xsl.so' -
/usr/local/zend/lib/php/20090626/xsl.so: cannot open shared object file: No such file or directory in Unknown
on line 0
PHP Warning:  PHP Startup: Unable to load dynamic library '/usr/local/zend/lib/php/20090626/zip.so' -
/usr/local/zend/lib/php/20090626/zip.so: cannot open shared object file: No such file or directory in Unknown
on line 0
Attempting to discover channel "pear.drush.org"...
downloading channel.xml ...
Starting to download channel.xml (804 bytes)
....done: 804 bytes
Auto-discovered channel "pear.drush.org", alias "drush", adding to registry
downloading drush-6.1.0.0.tgz ...
Starting to download drush-6.1.0.0.tgz (504,788 bytes)
...done: 504,788 bytes
install ok: channel://pear.drush.org/drush-6.1.0.0

Download and install the latest stable version of Drupal

/var/lib/openshift/526492a7dbd93ca96d000001/app-root/runtime/repo/.openshift/action_hooks/build: line 41:
drush: command not found
ERROR: Unable download and install Drupal.
An error occurred executing 'gear postreceive' (exit code: 7)
Error message: Failed to execute action hook 'build' for 526492a7dbd93ca96d000001 application drupal

For more details about the problem, try running the command again with the '--trace' option.
Comment 8 Michal Fojtik 2013-10-21 10:08:53 EDT
(In reply to XiuJuan Wang from comment #7)

This seems to be a new bug :( Could you please fill a new BZ for this one?

> 2. Test on the STG
> It is also  not created successfully
> 
> [wxh@wangxiuj ~]$ rhc app create drupal zend-5.6 mysql-5.1 cron
> --from-code=git://github.com/openshift/drupal-quickstart.git
> Using cron-1.4 (Cron 1.4) for 'cron'
> 
> Application Options
> -------------------
>   Domain:      wangxiuj
>   Cartridges:  zend-5.6, mysql-5.1, cron-1.4
>   Source Code: git://github.com/openshift/drupal-quickstart.git
>   Gear Size:   default
>   Scaling:     no
> 
> Creating application 'drupal' ... 
> The initial build for the application failed: Shell command '/sbin/runuser
> -s /bin/sh 526492a7dbd93ca96d000001
> -c "exec /usr/bin/runcon 'unconfined_u:system_r:openshift_t:s0:c4,c880'
> /bin/sh -c \"gear postreceive >>
> /tmp/initial-build.log 2>&1\""' returned an error. rc=255
> 
> .Last 10 kB of build output:
> Stopping MySQL cartridge
> Stopping Cron cartridge
> Stopping Zend Server Console
> lighttpd is not running
> Stopping Zend Server JobQueue daemon
> jqd is not running
> Stopping Apache
> Syntax error on line 2 of
> /var/lib/openshift/526492a7dbd93ca96d000001/zend/configuration/etc/conf.d/
> openshift.conf:
> DocumentRoot must be a directory
> httpd (no pid file) not running
> Stopping Zend Server Monitor node
> monitor is not running
> Stopping Zend Server Deployment daemon
> zdd is not running
> Checking pear: pear.drush.org/drush
> 
> PHP Warning:  PHP Startup: Unable to load dynamic library
> '/usr/local/zend/lib/php/20090626/bcmath.so' -
> /usr/local/zend/lib/php/20090626/bcmath.so: cannot open shared object file:
> No such file or directory in
> Unknown on line 0
> PHP Warning:  PHP Startup: Unable to load dynamic library
> '/usr/local/zend/lib/php/20090626/bz2.so' -
> /usr/local/zend/lib/php/20090626/bz2.so: cannot open shared object file: No
> such file or directory in Unknown
> on line 0
> PHP Warning:  PHP Startup: Unable to load dynamic library
> '/usr/local/zend/lib/php/20090626/calendar.so' -
> /usr/local/zend/lib/php/20090626/calendar.so: cannot open shared object
> file: No such file or directory in
> Unknown on line 0
> PHP Warning:  PHP Startup: Unable to load dynamic library
> '/usr/local/zend/lib/php/20090626/ctype.so' -
> /usr/local/zend/lib/php/20090626/ctype.so: cannot open shared object file:
> No such file or directory in
> Unknown on line 0
> PHP Warning:  PHP Startup: Unable to load dynamic library
> '/usr/local/zend/lib/php/20090626/curl.so' -
> /usr/local/zend/lib/php/20090626/curl.so: cannot open shared object file: No
> such file or directory in Unknown
> on line 0
> PHP Warning:  PHP Startup: Unable to load dynamic library
> '/usr/local/zend/lib/php/20090626/exif.so' -
> /usr/local/zend/lib/php/20090626/exif.so: cannot open shared object file: No
> such file or directory in Unknown
> on line 0
> PHP Warning:  PHP Startup: Unable to load dynamic library
> '/usr/local/zend/lib/php/20090626/fileinfo.so' -
> /usr/local/zend/lib/php/20090626/fileinfo.so: cannot open shared object
> file: No such file or directory in
> Unknown on line 0
> PHP Warning:  PHP Startup: Unable to load dynamic library
> '/usr/local/zend/lib/php/20090626/ftp.so' -
> /usr/local/zend/lib/php/20090626/ftp.so: cannot open shared object file: No
> such file or directory in Unknown
> on line 0
> PHP Warning:  PHP Startup: Unable to load dynamic library
> '/usr/local/zend/lib/php/20090626/gd.so' -
> /usr/local/zend/lib/php/20090626/gd.so: cannot open shared object file: No
> such file or directory in Unknown
> on line 0
> PHP Warning:  PHP Startup: Unable to load dynamic library
> '/usr/local/zend/lib/php/20090626/gettext.so' -
> /usr/local/zend/lib/php/20090626/gettext.so: cannot open shared object file:
> No such file or directory in
> Unknown on line 0
> PHP Warning:  PHP Startup: Unable to load dynamic library
> '/usr/local/zend/lib/php/20090626/imap.so' -
> /usr/local/zend/lib/php/20090626/imap.so: cannot open shared object file: No
> such file or directory in Unknown
> on line 0
> PHP Warning:  PHP Startup: Unable to load dynamic library
> '/usr/local/zend/lib/php/20090626/intl.so' -
> /usr/local/zend/lib/php/20090626/intl.so: cannot open shared object file: No
> such file or directory in Unknown
> on line 0
> PHP Warning:  PHP Startup: Unable to load dynamic library
> '/usr/local/zend/lib/php/20090626/json.so' -
> /usr/local/zend/lib/php/20090626/json.so: cannot open shared object file: No
> such file or directory in Unknown
> on line 0
> PHP Warning:  PHP Startup: Unable to load dynamic library
> '/usr/local/zend/lib/php/20090626/ldap.so' -
> /usr/local/zend/lib/php/20090626/ldap.so: cannot open shared object file: No
> such file or directory in Unknown
> on line 0
> PHP Warning:  PHP Startup: Unable to load dynamic library
> '/usr/local/zend/lib/php/20090626/mbstring.so' -
> /usr/local/zend/lib/php/20090626/mbstring.so: cannot open shared object
> file: No such file or directory in
> Unknown on line 0
> PHP Warning:  PHP Startup: Unable to load dynamic library
> '/usr/local/zend/lib/php/20090626/mcrypt.so' -
> /usr/local/zend/lib/php/20090626/mcrypt.so: cannot open shared object file:
> No such file or directory in
> Unknown on line 0
> PHP Warning:  PHP Startup: Unable to load dynamic library
> '/usr/local/zend/lib/php/20090626/mongo.so' -
> /usr/local/zend/lib/php/20090626/mongo.so: cannot open shared object file:
> No such file or directory in
> Unknown on line 0
> PHP Warning:  PHP Startup: Unable to load dynamic library
> '/usr/local/zend/lib/php/20090626/mysql.so' -
> /usr/local/zend/lib/php/20090626/mysql.so: cannot open shared object file:
> No such file or directory in
> Unknown on line 0
> PHP Warning:  PHP Startup: Unable to load dynamic library
> '/usr/local/zend/lib/php/20090626/mysqli.so' -
> /usr/local/zend/lib/php/20090626/mysqli.so: cannot open shared object file:
> No such file or directory in
> Unknown on line 0
> PHP Warning:  PHP Startup: Unable to load dynamic library
> '/usr/local/zend/lib/php/20090626/pdo_mysql.so' -
> /usr/local/zend/lib/php/20090626/pdo_mysql.so: cannot open shared object
> file: No such file or directory in
> Unknown on line 0
> PHP Warning:  PHP Startup: Unable to load dynamic library
> '/usr/local/zend/lib/php/20090626/pdo_pgsql.so' -
> /usr/local/zend/lib/php/20090626/pdo_pgsql.so: cannot open shared object
> file: No such file or directory in
> Unknown on line 0
> PHP Warning:  PHP Startup: Unable to load dynamic library
> '/usr/local/zend/lib/php/20090626/pgsql.so' -
> /usr/local/zend/lib/php/20090626/pgsql.so: cannot open shared object file:
> No such file or directory in
> Unknown on line 0
> PHP Warning:  PHP Startup: Unable to load dynamic library
> '/usr/local/zend/lib/php/20090626/phar.so' -
> /usr/local/zend/lib/php/20090626/phar.so: cannot open shared object file: No
> such file or directory in Unknown
> on line 0
> PHP Warning:  PHP Startup: Unable to load dynamic library
> '/usr/local/zend/lib/php/20090626/posix.so' -
> /usr/local/zend/lib/php/20090626/posix.so: cannot open shared object file:
> No such file or directory in
> Unknown on line 0
> PHP Warning:  PHP Startup: Unable to load dynamic library
> '/usr/local/zend/lib/php/20090626/soap.so' -
> /usr/local/zend/lib/php/20090626/soap.so: cannot open shared object file: No
> such file or directory in Unknown
> on line 0
> PHP Warning:  PHP Startup: Unable to load dynamic library
> '/usr/local/zend/lib/php/20090626/sockets.so' -
> /usr/local/zend/lib/php/20090626/sockets.so: cannot open shared object file:
> No such file or directory in
> Unknown on line 0
> PHP Warning:  PHP Startup: Unable to load dynamic library
> '/usr/local/zend/lib/php/20090626/sqlite.so' -
> /usr/local/zend/lib/php/20090626/sqlite.so: cannot open shared object file:
> No such file or directory in
> Unknown on line 0
> PHP Warning:  PHP Startup: Unable to load dynamic library
> '/usr/local/zend/lib/php/20090626/tidy.so' -
> /usr/local/zend/lib/php/20090626/tidy.so: cannot open shared object file: No
> such file or directory in Unknown
> on line 0
> PHP Warning:  PHP Startup: Unable to load dynamic library
> '/usr/local/zend/lib/php/20090626/tokenizer.so' -
> /usr/local/zend/lib/php/20090626/tokenizer.so: cannot open shared object
> file: No such file or directory in
> Unknown on line 0
> PHP Warning:  PHP Startup: Unable to load dynamic library
> '/usr/local/zend/lib/php/20090626/xsl.so' -
> /usr/local/zend/lib/php/20090626/xsl.so: cannot open shared object file: No
> such file or directory in Unknown
> on line 0
> PHP Warning:  PHP Startup: Unable to load dynamic library
> '/usr/local/zend/lib/php/20090626/zip.so' -
> /usr/local/zend/lib/php/20090626/zip.so: cannot open shared object file: No
> such file or directory in Unknown
> on line 0
> Attempting to discover channel "pear.drush.org"...
> downloading channel.xml ...
> Starting to download channel.xml (804 bytes)
> ....done: 804 bytes
> Auto-discovered channel "pear.drush.org", alias "drush", adding to registry
> downloading drush-6.1.0.0.tgz ...
> Starting to download drush-6.1.0.0.tgz (504,788 bytes)
> ...done: 504,788 bytes
> install ok: channel://pear.drush.org/drush-6.1.0.0
> 
> Download and install the latest stable version of Drupal
> 
> /var/lib/openshift/526492a7dbd93ca96d000001/app-root/runtime/repo/.openshift/
> action_hooks/build: line 41:
> drush: command not found
> ERROR: Unable download and install Drupal.
> An error occurred executing 'gear postreceive' (exit code: 7)
> Error message: Failed to execute action hook 'build' for
> 526492a7dbd93ca96d000001 application drupal
> 
> For more details about the problem, try running the command again with the
> '--trace' option.
Comment 9 Michal Fojtik 2013-10-21 10:27:08 EDT
< agoldste> mfojtik: it's related to the deploy changes
< agoldste> mfojtik: although once i start working on some changes today to change the way deploy works, we probably won't need that any more.

Assigning thi bug to Andy, as his work will most probably fix this.
Comment 10 Michal Fojtik 2013-10-21 12:33:12 EDT
For the record, I'm getting other error than XiuJuan Wang on latest devenv:

 ~ → rhc app create drupal zend-5.6 mysql-5.1 cron --from-code=https://github.com/ncdc/drupal-quickstart
Using cron-1.4 (Cron 1.4) for 'cron'

Application Options
-------------------
  Domain:      mfojtik
  Cartridges:  zend-5.6, mysql-5.1, cron-1.4
  Source Code: https://github.com/ncdc/drupal-quickstart
  Gear Size:   default
  Scaling:     no

Creating application 'drupal' ... 
The initial build for the application failed: Shell command '/sbin/runuser -s /bin/sh
526556da497202e147000025 -c "exec /usr/bin/runcon
'unconfined_u:system_r:openshift_t:s0:c0,c1002' /bin/sh -c \"gear postreceive >>
/tmp/initial-build.log 2>&1\""' returned an error. rc=255

.Last 10 kB of build output:
Stopping Cron cartridge
Stopping Zend Server Console
lighttpd is not running
Stopping Zend Server JobQueue daemon
jqd is not running
Stopping Apache
Syntax error on line 2 of
/var/lib/openshift/526556da497202e147000025/zend/configuration/etc/conf.d/openshift.conf:
DocumentRoot must be a directory
httpd (no pid file) not running
Stopping Zend Server Monitor node
monitor is not running
Stopping Zend Server Deployment daemon
zdd is not running
Stopping MySQL cartridge
Building git ref 'master', commit 928d55e
Checking pear: pear.drush.org/drush

PHP Warning:  PHP Startup: Unable to load dynamic library
'/usr/local/zend/lib/php/20090626/bcmath.so' - /usr/local/zend/lib/php/20090626/bcmath.so:
cannot open shared object file: No such file or directory in Unknown on line 0
PHP Warning:  PHP Startup: Unable to load dynamic library
'/usr/local/zend/lib/php/20090626/bz2.so' - /usr/local/zend/lib/php/20090626/bz2.so: cannot open
shared object file: No such file or directory in Unknown on line 0
PHP Warning:  PHP Startup: Unable to load dynamic library
'/usr/local/zend/lib/php/20090626/calendar.so' - /usr/local/zend/lib/php/20090626/calendar.so:
cannot open shared object file: No such file or directory in Unknown on line 0
PHP Warning:  PHP Startup: Unable to load dynamic library
'/usr/local/zend/lib/php/20090626/ctype.so' - /usr/local/zend/lib/php/20090626/ctype.so: cannot
open shared object file: No such file or directory in Unknown on line 0
PHP Warning:  PHP Startup: Unable to load dynamic library
'/usr/local/zend/lib/php/20090626/curl.so' - /usr/local/zend/lib/php/20090626/curl.so: cannot
open shared object file: No such file or directory in Unknown on line 0
PHP Warning:  PHP Startup: Unable to load dynamic library
'/usr/local/zend/lib/php/20090626/exif.so' - /usr/local/zend/lib/php/20090626/exif.so: cannot
open shared object file: No such file or directory in Unknown on line 0
PHP Warning:  PHP Startup: Unable to load dynamic library
'/usr/local/zend/lib/php/20090626/fileinfo.so' - /usr/local/zend/lib/php/20090626/fileinfo.so:
cannot open shared object file: No such file or directory in Unknown on line 0
PHP Warning:  PHP Startup: Unable to load dynamic library
'/usr/local/zend/lib/php/20090626/ftp.so' - /usr/local/zend/lib/php/20090626/ftp.so: cannot open
shared object file: No such file or directory in Unknown on line 0
PHP Warning:  PHP Startup: Unable to load dynamic library
'/usr/local/zend/lib/php/20090626/gd.so' - /usr/local/zend/lib/php/20090626/gd.so: cannot open
shared object file: No such file or directory in Unknown on line 0
PHP Warning:  PHP Startup: Unable to load dynamic library
'/usr/local/zend/lib/php/20090626/gettext.so' - /usr/local/zend/lib/php/20090626/gettext.so:
cannot open shared object file: No such file or directory in Unknown on line 0
PHP Warning:  PHP Startup: Unable to load dynamic library
'/usr/local/zend/lib/php/20090626/imap.so' - /usr/local/zend/lib/php/20090626/imap.so: cannot
open shared object file: No such file or directory in Unknown on line 0
PHP Warning:  PHP Startup: Unable to load dynamic library
'/usr/local/zend/lib/php/20090626/intl.so' - /usr/local/zend/lib/php/20090626/intl.so: cannot
open shared object file: No such file or directory in Unknown on line 0
PHP Warning:  PHP Startup: Unable to load dynamic library
'/usr/local/zend/lib/php/20090626/json.so' - /usr/local/zend/lib/php/20090626/json.so: cannot
open shared object file: No such file or directory in Unknown on line 0
PHP Warning:  PHP Startup: Unable to load dynamic library
'/usr/local/zend/lib/php/20090626/ldap.so' - /usr/local/zend/lib/php/20090626/ldap.so: cannot
open shared object file: No such file or directory in Unknown on line 0
PHP Warning:  PHP Startup: Unable to load dynamic library
'/usr/local/zend/lib/php/20090626/mbstring.so' - /usr/local/zend/lib/php/20090626/mbstring.so:
cannot open shared object file: No such file or directory in Unknown on line 0
PHP Warning:  PHP Startup: Unable to load dynamic library
'/usr/local/zend/lib/php/20090626/mcrypt.so' - /usr/local/zend/lib/php/20090626/mcrypt.so:
cannot open shared object file: No such file or directory in Unknown on line 0
PHP Warning:  PHP Startup: Unable to load dynamic library
'/usr/local/zend/lib/php/20090626/mongo.so' - /usr/local/zend/lib/php/20090626/mongo.so: cannot
open shared object file: No such file or directory in Unknown on line 0
PHP Warning:  PHP Startup: Unable to load dynamic library
'/usr/local/zend/lib/php/20090626/mysql.so' - /usr/local/zend/lib/php/20090626/mysql.so: cannot
open shared object file: No such file or directory in Unknown on line 0
PHP Warning:  PHP Startup: Unable to load dynamic library
'/usr/local/zend/lib/php/20090626/mysqli.so' - /usr/local/zend/lib/php/20090626/mysqli.so:
cannot open shared object file: No such file or directory in Unknown on line 0
PHP Warning:  PHP Startup: Unable to load dynamic library
'/usr/local/zend/lib/php/20090626/pdo_mysql.so' - /usr/local/zend/lib/php/20090626/pdo_mysql.so:
cannot open shared object file: No such file or directory in Unknown on line 0
PHP Warning:  PHP Startup: Unable to load dynamic library
'/usr/local/zend/lib/php/20090626/pdo_pgsql.so' - /usr/local/zend/lib/php/20090626/pdo_pgsql.so:
cannot open shared object file: No such file or directory in Unknown on line 0
PHP Warning:  PHP Startup: Unable to load dynamic library
'/usr/local/zend/lib/php/20090626/pgsql.so' - /usr/local/zend/lib/php/20090626/pgsql.so: cannot
open shared object file: No such file or directory in Unknown on line 0
PHP Warning:  PHP Startup: Unable to load dynamic library
'/usr/local/zend/lib/php/20090626/phar.so' - /usr/local/zend/lib/php/20090626/phar.so: cannot
open shared object file: No such file or directory in Unknown on line 0
PHP Warning:  PHP Startup: Unable to load dynamic library
'/usr/local/zend/lib/php/20090626/posix.so' - /usr/local/zend/lib/php/20090626/posix.so: cannot
open shared object file: No such file or directory in Unknown on line 0
PHP Warning:  PHP Startup: Unable to load dynamic library
'/usr/local/zend/lib/php/20090626/soap.so' - /usr/local/zend/lib/php/20090626/soap.so: cannot
open shared object file: No such file or directory in Unknown on line 0
PHP Warning:  PHP Startup: Unable to load dynamic library
'/usr/local/zend/lib/php/20090626/sockets.so' - /usr/local/zend/lib/php/20090626/sockets.so:
cannot open shared object file: No such file or directory in Unknown on line 0
PHP Warning:  PHP Startup: Unable to load dynamic library
'/usr/local/zend/lib/php/20090626/sqlite.so' - /usr/local/zend/lib/php/20090626/sqlite.so:
cannot open shared object file: No such file or directory in Unknown on line 0
PHP Warning:  PHP Startup: Unable to load dynamic library
'/usr/local/zend/lib/php/20090626/tidy.so' - /usr/local/zend/lib/php/20090626/tidy.so: cannot
open shared object file: No such file or directory in Unknown on line 0
PHP Warning:  PHP Startup: Unable to load dynamic library
'/usr/local/zend/lib/php/20090626/tokenizer.so' - /usr/local/zend/lib/php/20090626/tokenizer.so:
cannot open shared object file: No such file or directory in Unknown on line 0
PHP Warning:  PHP Startup: Unable to load dynamic library
'/usr/local/zend/lib/php/20090626/xsl.so' - /usr/local/zend/lib/php/20090626/xsl.so: cannot open
shared object file: No such file or directory in Unknown on line 0
PHP Warning:  PHP Startup: Unable to load dynamic library
'/usr/local/zend/lib/php/20090626/zip.so' - /usr/local/zend/lib/php/20090626/zip.so: cannot open
shared object file: No such file or directory in Unknown on line 0

Warning: mkdir(): File exists in System.php on line 285
could not create directory
'/var/lib/openshift/526556da497202e147000025/zend/phplib/pear/pear/php/.registry'
An error occurred executing 'gear postreceive' (exit code: 1)
Error message: Failed to execute: 'control build' for
/var/lib/openshift/526556da497202e147000025/zend

For more details about the problem, try running the command again with the '--trace' option.
Comment 12 openshift-github-bot 2013-10-21 15:08:44 EDT
Commit pushed to master at https://github.com/openshift/li

https://github.com/openshift/li/commit/bca16bfc30095cf61aa29d0e67e43c52953f264a
Bug 1012295 - Added dependecy_dirs to managed_files.yml for zend
Comment 13 XiuJuan Wang 2013-10-21 22:11:33 EDT
(In reply to Michal Fojtik from comment #8)
> (In reply to XiuJuan Wang from comment #7)
>  hi, this drupal bug might be caused by https://bugzilla.redhat.com/show_bug.cgi?id=1021567
> This seems to be a new bug :( Could you please fill a new BZ for this one?
> 
> > 2. Test on the STG
> > It is also  not created successfully
> > 
> > [wxh@wangxiuj ~]$ rhc app create drupal zend-5.6 mysql-5.1 cron
> > --from-code=git://github.com/openshift/drupal-quickstart.git
> > Using cron-1.4 (Cron 1.4) for 'cron'
> > 
> > Application Options
> > -------------------
> >   Domain:      wangxiuj
> >   Cartridges:  zend-5.6, mysql-5.1, cron-1.4
> >   Source Code: git://github.com/openshift/drupal-quickstart.git
> >   Gear Size:   default
> >   Scaling:     no
> > 
> > Creating application 'drupal' ... 
> > The initial build for the application failed: Shell command '/sbin/runuser
> > -s /bin/sh 526492a7dbd93ca96d000001
> > -c "exec /usr/bin/runcon 'unconfined_u:system_r:openshift_t:s0:c4,c880'
> > /bin/sh -c \"gear postreceive >>
> > /tmp/initial-build.log 2>&1\""' returned an error. rc=255
> > 
> > .Last 10 kB of build output:
> > Stopping MySQL cartridge
> > Stopping Cron cartridge
> > Stopping Zend Server Console
> > lighttpd is not running
> > Stopping Zend Server JobQueue daemon
> > jqd is not running
> > Stopping Apache
> > Syntax error on line 2 of
> > /var/lib/openshift/526492a7dbd93ca96d000001/zend/configuration/etc/conf.d/
> > openshift.conf:
> > DocumentRoot must be a directory
> > httpd (no pid file) not running
> > Stopping Zend Server Monitor node
> > monitor is not running
> > Stopping Zend Server Deployment daemon
> > zdd is not running
> > Checking pear: pear.drush.org/drush
> > 
> > PHP Warning:  PHP Startup: Unable to load dynamic library
> > '/usr/local/zend/lib/php/20090626/bcmath.so' -
> > /usr/local/zend/lib/php/20090626/bcmath.so: cannot open shared object file:
> > No such file or directory in
> > Unknown on line 0
> > PHP Warning:  PHP Startup: Unable to load dynamic library
> > '/usr/local/zend/lib/php/20090626/bz2.so' -
> > /usr/local/zend/lib/php/20090626/bz2.so: cannot open shared object file: No
> > such file or directory in Unknown
> > on line 0
> > PHP Warning:  PHP Startup: Unable to load dynamic library
> > '/usr/local/zend/lib/php/20090626/calendar.so' -
> > /usr/local/zend/lib/php/20090626/calendar.so: cannot open shared object
> > file: No such file or directory in
> > Unknown on line 0
> > PHP Warning:  PHP Startup: Unable to load dynamic library
> > '/usr/local/zend/lib/php/20090626/ctype.so' -
> > /usr/local/zend/lib/php/20090626/ctype.so: cannot open shared object file:
> > No such file or directory in
> > Unknown on line 0
> > PHP Warning:  PHP Startup: Unable to load dynamic library
> > '/usr/local/zend/lib/php/20090626/curl.so' -
> > /usr/local/zend/lib/php/20090626/curl.so: cannot open shared object file: No
> > such file or directory in Unknown
> > on line 0
> > PHP Warning:  PHP Startup: Unable to load dynamic library
> > '/usr/local/zend/lib/php/20090626/exif.so' -
> > /usr/local/zend/lib/php/20090626/exif.so: cannot open shared object file: No
> > such file or directory in Unknown
> > on line 0
> > PHP Warning:  PHP Startup: Unable to load dynamic library
> > '/usr/local/zend/lib/php/20090626/fileinfo.so' -
> > /usr/local/zend/lib/php/20090626/fileinfo.so: cannot open shared object
> > file: No such file or directory in
> > Unknown on line 0
> > PHP Warning:  PHP Startup: Unable to load dynamic library
> > '/usr/local/zend/lib/php/20090626/ftp.so' -
> > /usr/local/zend/lib/php/20090626/ftp.so: cannot open shared object file: No
> > such file or directory in Unknown
> > on line 0
> > PHP Warning:  PHP Startup: Unable to load dynamic library
> > '/usr/local/zend/lib/php/20090626/gd.so' -
> > /usr/local/zend/lib/php/20090626/gd.so: cannot open shared object file: No
> > such file or directory in Unknown
> > on line 0
> > PHP Warning:  PHP Startup: Unable to load dynamic library
> > '/usr/local/zend/lib/php/20090626/gettext.so' -
> > /usr/local/zend/lib/php/20090626/gettext.so: cannot open shared object file:
> > No such file or directory in
> > Unknown on line 0
> > PHP Warning:  PHP Startup: Unable to load dynamic library
> > '/usr/local/zend/lib/php/20090626/imap.so' -
> > /usr/local/zend/lib/php/20090626/imap.so: cannot open shared object file: No
> > such file or directory in Unknown
> > on line 0
> > PHP Warning:  PHP Startup: Unable to load dynamic library
> > '/usr/local/zend/lib/php/20090626/intl.so' -
> > /usr/local/zend/lib/php/20090626/intl.so: cannot open shared object file: No
> > such file or directory in Unknown
> > on line 0
> > PHP Warning:  PHP Startup: Unable to load dynamic library
> > '/usr/local/zend/lib/php/20090626/json.so' -
> > /usr/local/zend/lib/php/20090626/json.so: cannot open shared object file: No
> > such file or directory in Unknown
> > on line 0
> > PHP Warning:  PHP Startup: Unable to load dynamic library
> > '/usr/local/zend/lib/php/20090626/ldap.so' -
> > /usr/local/zend/lib/php/20090626/ldap.so: cannot open shared object file: No
> > such file or directory in Unknown
> > on line 0
> > PHP Warning:  PHP Startup: Unable to load dynamic library
> > '/usr/local/zend/lib/php/20090626/mbstring.so' -
> > /usr/local/zend/lib/php/20090626/mbstring.so: cannot open shared object
> > file: No such file or directory in
> > Unknown on line 0
> > PHP Warning:  PHP Startup: Unable to load dynamic library
> > '/usr/local/zend/lib/php/20090626/mcrypt.so' -
> > /usr/local/zend/lib/php/20090626/mcrypt.so: cannot open shared object file:
> > No such file or directory in
> > Unknown on line 0
> > PHP Warning:  PHP Startup: Unable to load dynamic library
> > '/usr/local/zend/lib/php/20090626/mongo.so' -
> > /usr/local/zend/lib/php/20090626/mongo.so: cannot open shared object file:
> > No such file or directory in
> > Unknown on line 0
> > PHP Warning:  PHP Startup: Unable to load dynamic library
> > '/usr/local/zend/lib/php/20090626/mysql.so' -
> > /usr/local/zend/lib/php/20090626/mysql.so: cannot open shared object file:
> > No such file or directory in
> > Unknown on line 0
> > PHP Warning:  PHP Startup: Unable to load dynamic library
> > '/usr/local/zend/lib/php/20090626/mysqli.so' -
> > /usr/local/zend/lib/php/20090626/mysqli.so: cannot open shared object file:
> > No such file or directory in
> > Unknown on line 0
> > PHP Warning:  PHP Startup: Unable to load dynamic library
> > '/usr/local/zend/lib/php/20090626/pdo_mysql.so' -
> > /usr/local/zend/lib/php/20090626/pdo_mysql.so: cannot open shared object
> > file: No such file or directory in
> > Unknown on line 0
> > PHP Warning:  PHP Startup: Unable to load dynamic library
> > '/usr/local/zend/lib/php/20090626/pdo_pgsql.so' -
> > /usr/local/zend/lib/php/20090626/pdo_pgsql.so: cannot open shared object
> > file: No such file or directory in
> > Unknown on line 0
> > PHP Warning:  PHP Startup: Unable to load dynamic library
> > '/usr/local/zend/lib/php/20090626/pgsql.so' -
> > /usr/local/zend/lib/php/20090626/pgsql.so: cannot open shared object file:
> > No such file or directory in
> > Unknown on line 0
> > PHP Warning:  PHP Startup: Unable to load dynamic library
> > '/usr/local/zend/lib/php/20090626/phar.so' -
> > /usr/local/zend/lib/php/20090626/phar.so: cannot open shared object file: No
> > such file or directory in Unknown
> > on line 0
> > PHP Warning:  PHP Startup: Unable to load dynamic library
> > '/usr/local/zend/lib/php/20090626/posix.so' -
> > /usr/local/zend/lib/php/20090626/posix.so: cannot open shared object file:
> > No such file or directory in
> > Unknown on line 0
> > PHP Warning:  PHP Startup: Unable to load dynamic library
> > '/usr/local/zend/lib/php/20090626/soap.so' -
> > /usr/local/zend/lib/php/20090626/soap.so: cannot open shared object file: No
> > such file or directory in Unknown
> > on line 0
> > PHP Warning:  PHP Startup: Unable to load dynamic library
> > '/usr/local/zend/lib/php/20090626/sockets.so' -
> > /usr/local/zend/lib/php/20090626/sockets.so: cannot open shared object file:
> > No such file or directory in
> > Unknown on line 0
> > PHP Warning:  PHP Startup: Unable to load dynamic library
> > '/usr/local/zend/lib/php/20090626/sqlite.so' -
> > /usr/local/zend/lib/php/20090626/sqlite.so: cannot open shared object file:
> > No such file or directory in
> > Unknown on line 0
> > PHP Warning:  PHP Startup: Unable to load dynamic library
> > '/usr/local/zend/lib/php/20090626/tidy.so' -
> > /usr/local/zend/lib/php/20090626/tidy.so: cannot open shared object file: No
> > such file or directory in Unknown
> > on line 0
> > PHP Warning:  PHP Startup: Unable to load dynamic library
> > '/usr/local/zend/lib/php/20090626/tokenizer.so' -
> > /usr/local/zend/lib/php/20090626/tokenizer.so: cannot open shared object
> > file: No such file or directory in
> > Unknown on line 0
> > PHP Warning:  PHP Startup: Unable to load dynamic library
> > '/usr/local/zend/lib/php/20090626/xsl.so' -
> > /usr/local/zend/lib/php/20090626/xsl.so: cannot open shared object file: No
> > such file or directory in Unknown
> > on line 0
> > PHP Warning:  PHP Startup: Unable to load dynamic library
> > '/usr/local/zend/lib/php/20090626/zip.so' -
> > /usr/local/zend/lib/php/20090626/zip.so: cannot open shared object file: No
> > such file or directory in Unknown
> > on line 0
> > Attempting to discover channel "pear.drush.org"...
> > downloading channel.xml ...
> > Starting to download channel.xml (804 bytes)
> > ....done: 804 bytes
> > Auto-discovered channel "pear.drush.org", alias "drush", adding to registry
> > downloading drush-6.1.0.0.tgz ...
> > Starting to download drush-6.1.0.0.tgz (504,788 bytes)
> > ...done: 504,788 bytes
> > install ok: channel://pear.drush.org/drush-6.1.0.0
> > 
> > Download and install the latest stable version of Drupal
> > 
> > /var/lib/openshift/526492a7dbd93ca96d000001/app-root/runtime/repo/.openshift/
> > action_hooks/build: line 41:
> > drush: command not found
> > ERROR: Unable download and install Drupal.
> > An error occurred executing 'gear postreceive' (exit code: 7)
> > Error message: Failed to execute action hook 'build' for
> > 526492a7dbd93ca96d000001 application drupal
> > 
> > For more details about the problem, try running the command again with the
> > '--trace' option.
Comment 14 XiuJuan Wang 2013-10-21 22:53:44 EDT
(In reply to Michal Fojtik from comment #8)

hi, this drupal bug might be caused by https://bugzilla.redhat.com/show_bug.cgi?id=1021567

> This seems to be a new bug :( Could you please fill a new BZ for this one?
> 
> > 2. Test on the STG
> > It is also  not created successfully
Comment 15 XiuJuan Wang 2013-10-21 22:56:00 EDT
Test on devenv_3925
use quickstart git://github.com/openshift/drupal-quickstart.git

it seem to be a another error

[root@dhcp-10-143 .openshift]# rhc app create drupal zend-5.6 mysql-5.1 cron --from-code=git://github.com/openshift/drupal-quickstart.git
Using cron-1.4 (Cron 1.4) for 'cron'

Application Options
-------------------
  Domain:      wxj
  Cartridges:  zend-5.6, mysql-5.1, cron-1.4
  Source Code: git://github.com/openshift/drupal-quickstart.git
  Gear Size:   default
  Scaling:     no

Creating application 'drupal' ... 
The initial build for the application failed: Shell command '/sbin/runuser -s /bin/sh 5265e5ce8e21538f480000d6 -c "exec /usr/bin/runcon
'unconfined_u:system_r:openshift_t:s0:c0,c1000' /bin/sh -c \"gear postreceive >> /tmp/initial-build.log 2>&1\""' returned an error. rc=255

.Last 10 kB of build output:
Stopping Cron cartridge
Stopping Zend Server Console
lighttpd is not running
Stopping Zend Server JobQueue daemon
jqd is not running
Stopping Apache
Syntax error on line 2 of /var/lib/openshift/5265e5ce8e21538f480000d6/zend/configuration/etc/conf.d/openshift.conf:
DocumentRoot must be a directory
httpd (no pid file) not running
Stopping Zend Server Monitor node
monitor is not running
Stopping Zend Server Deployment daemon
zdd is not running
Stopping MySQL cartridge
Building git ref 'master', commit bcc1761
Checking pear: pear.drush.org/drush

PHP Warning:  PHP Startup: Unable to load dynamic library '/usr/local/zend/lib/php/20090626/bcmath.so' -
/usr/local/zend/lib/php/20090626/bcmath.so: cannot open shared object file: No such file or directory in Unknown on line 0
PHP Warning:  PHP Startup: Unable to load dynamic library '/usr/local/zend/lib/php/20090626/bz2.so' -
/usr/local/zend/lib/php/20090626/bz2.so: cannot open shared object file: No such file or directory in Unknown on line 0
PHP Warning:  PHP Startup: Unable to load dynamic library '/usr/local/zend/lib/php/20090626/calendar.so' -
/usr/local/zend/lib/php/20090626/calendar.so: cannot open shared object file: No such file or directory in Unknown on line 0
PHP Warning:  PHP Startup: Unable to load dynamic library '/usr/local/zend/lib/php/20090626/ctype.so' -
/usr/local/zend/lib/php/20090626/ctype.so: cannot open shared object file: No such file or directory in Unknown on line 0
PHP Warning:  PHP Startup: Unable to load dynamic library '/usr/local/zend/lib/php/20090626/curl.so' -
/usr/local/zend/lib/php/20090626/curl.so: cannot open shared object file: No such file or directory in Unknown on line 0
PHP Warning:  PHP Startup: Unable to load dynamic library '/usr/local/zend/lib/php/20090626/exif.so' -
/usr/local/zend/lib/php/20090626/exif.so: cannot open shared object file: No such file or directory in Unknown on line 0
PHP Warning:  PHP Startup: Unable to load dynamic library '/usr/local/zend/lib/php/20090626/fileinfo.so' -
/usr/local/zend/lib/php/20090626/fileinfo.so: cannot open shared object file: No such file or directory in Unknown on line 0
PHP Warning:  PHP Startup: Unable to load dynamic library '/usr/local/zend/lib/php/20090626/ftp.so' -
/usr/local/zend/lib/php/20090626/ftp.so: cannot open shared object file: No such file or directory in Unknown on line 0
PHP Warning:  PHP Startup: Unable to load dynamic library '/usr/local/zend/lib/php/20090626/gd.so' - /usr/local/zend/lib/php/20090626/gd.so:
cannot open shared object file: No such file or directory in Unknown on line 0
PHP Warning:  PHP Startup: Unable to load dynamic library '/usr/local/zend/lib/php/20090626/gettext.so' -
/usr/local/zend/lib/php/20090626/gettext.so: cannot open shared object file: No such file or directory in Unknown on line 0
PHP Warning:  PHP Startup: Unable to load dynamic library '/usr/local/zend/lib/php/20090626/imap.so' -
/usr/local/zend/lib/php/20090626/imap.so: cannot open shared object file: No such file or directory in Unknown on line 0
PHP Warning:  PHP Startup: Unable to load dynamic library '/usr/local/zend/lib/php/20090626/intl.so' -
/usr/local/zend/lib/php/20090626/intl.so: cannot open shared object file: No such file or directory in Unknown on line 0
PHP Warning:  PHP Startup: Unable to load dynamic library '/usr/local/zend/lib/php/20090626/json.so' -
/usr/local/zend/lib/php/20090626/json.so: cannot open shared object file: No such file or directory in Unknown on line 0
PHP Warning:  PHP Startup: Unable to load dynamic library '/usr/local/zend/lib/php/20090626/ldap.so' -
/usr/local/zend/lib/php/20090626/ldap.so: cannot open shared object file: No such file or directory in Unknown on line 0
PHP Warning:  PHP Startup: Unable to load dynamic library '/usr/local/zend/lib/php/20090626/mbstring.so' -
/usr/local/zend/lib/php/20090626/mbstring.so: cannot open shared object file: No such file or directory in Unknown on line 0
PHP Warning:  PHP Startup: Unable to load dynamic library '/usr/local/zend/lib/php/20090626/mcrypt.so' -
/usr/local/zend/lib/php/20090626/mcrypt.so: cannot open shared object file: No such file or directory in Unknown on line 0
PHP Warning:  PHP Startup: Unable to load dynamic library '/usr/local/zend/lib/php/20090626/mongo.so' -
/usr/local/zend/lib/php/20090626/mongo.so: cannot open shared object file: No such file or directory in Unknown on line 0
PHP Warning:  PHP Startup: Unable to load dynamic library '/usr/local/zend/lib/php/20090626/mysql.so' -
/usr/local/zend/lib/php/20090626/mysql.so: cannot open shared object file: No such file or directory in Unknown on line 0
PHP Warning:  PHP Startup: Unable to load dynamic library '/usr/local/zend/lib/php/20090626/mysqli.so' -
/usr/local/zend/lib/php/20090626/mysqli.so: cannot open shared object file: No such file or directory in Unknown on line 0
PHP Warning:  PHP Startup: Unable to load dynamic library '/usr/local/zend/lib/php/20090626/pdo_mysql.so' -
/usr/local/zend/lib/php/20090626/pdo_mysql.so: cannot open shared object file: No such file or directory in Unknown on line 0
PHP Warning:  PHP Startup: Unable to load dynamic library '/usr/local/zend/lib/php/20090626/pdo_pgsql.so' -
/usr/local/zend/lib/php/20090626/pdo_pgsql.so: cannot open shared object file: No such file or directory in Unknown on line 0
PHP Warning:  PHP Startup: Unable to load dynamic library '/usr/local/zend/lib/php/20090626/pgsql.so' -
/usr/local/zend/lib/php/20090626/pgsql.so: cannot open shared object file: No such file or directory in Unknown on line 0
PHP Warning:  PHP Startup: Unable to load dynamic library '/usr/local/zend/lib/php/20090626/phar.so' -
/usr/local/zend/lib/php/20090626/phar.so: cannot open shared object file: No such file or directory in Unknown on line 0
PHP Warning:  PHP Startup: Unable to load dynamic library '/usr/local/zend/lib/php/20090626/posix.so' -
/usr/local/zend/lib/php/20090626/posix.so: cannot open shared object file: No such file or directory in Unknown on line 0
PHP Warning:  PHP Startup: Unable to load dynamic library '/usr/local/zend/lib/php/20090626/soap.so' -
/usr/local/zend/lib/php/20090626/soap.so: cannot open shared object file: No such file or directory in Unknown on line 0
PHP Warning:  PHP Startup: Unable to load dynamic library '/usr/local/zend/lib/php/20090626/sockets.so' -
/usr/local/zend/lib/php/20090626/sockets.so: cannot open shared object file: No such file or directory in Unknown on line 0
PHP Warning:  PHP Startup: Unable to load dynamic library '/usr/local/zend/lib/php/20090626/sqlite.so' -
/usr/local/zend/lib/php/20090626/sqlite.so: cannot open shared object file: No such file or directory in Unknown on line 0
PHP Warning:  PHP Startup: Unable to load dynamic library '/usr/local/zend/lib/php/20090626/tidy.so' -
/usr/local/zend/lib/php/20090626/tidy.so: cannot open shared object file: No such file or directory in Unknown on line 0
PHP Warning:  PHP Startup: Unable to load dynamic library '/usr/local/zend/lib/php/20090626/tokenizer.so' -
/usr/local/zend/lib/php/20090626/tokenizer.so: cannot open shared object file: No such file or directory in Unknown on line 0
PHP Warning:  PHP Startup: Unable to load dynamic library '/usr/local/zend/lib/php/20090626/xsl.so' -
/usr/local/zend/lib/php/20090626/xsl.so: cannot open shared object file: No such file or directory in Unknown on line 0
PHP Warning:  PHP Startup: Unable to load dynamic library '/usr/local/zend/lib/php/20090626/zip.so' -
/usr/local/zend/lib/php/20090626/zip.so: cannot open shared object file: No such file or directory in Unknown on line 0
Attempting to discover channel "pear.drush.org"...
downloading channel.xml ...
Starting to download channel.xml (804 bytes)
....done: 804 bytes
Auto-discovered channel "pear.drush.org", alias "drush", adding to registry
downloading drush-6.1.0.0.tgz ...
Starting to download drush-6.1.0.0.tgz (504,788 bytes)
...done: 504,788 bytes
install ok: channel://pear.drush.org/drush-6.1.0.0

Download and install the latest stable version of Drupal

Project drupal (7.23) downloaded to                                    [success]
/var/lib/openshift/5265e5ce8e21538f480000d6/app-root/data/downloads/drupal-7.23.
Project drupal contains:                                               [success]
 - 3 profiles: standard, minimal, testing
 - 4 themes: bartik, seven, stark, garland
 - 47 modules: drupal_system_listing_compatible_test,
drupal_system_listing_incompatible_test, update, toolbar, filter,
poll, system, translation, contact, profile, shortcut, contextual,
image, statistics, php, file, path, tracker, blog, trigger,
aggregator, simpletest, menu, locale, user, field_ui, color, book,
node, comment, openid, overlay, help, dblog, rdf, taxonomy, forum,
dashboard, syslog, list, number, field_sql_storage, text, options,
field, block, search

Drupal installed to /var/lib/openshift/5265e5ce8e21538f480000d6/app-root/data/downloads/drupal-7.23

ERROR: Unable to link the PHP directory, as the current Drupal instance is not a valid directory.
An error occurred executing 'gear postreceive' (exit code: 8)
Error message: Failed to execute action hook 'build' for 5265e5ce8e21538f480000d6 application drupal

For more details about the problem, try running the command again with the '--trace' option.
Comment 16 XiuJuan Wang 2013-10-21 22:58:59 EDT
test on the devenv_3925
use quickstart https://github.com/ncdc/drupal-quickstart

it is sccessfully.

[root@dhcp-10-143 ~]# rhc app create drupal2 zend-5.6 mysql-5.1 cron --from-code=https://github.com/ncdc/drupal-quickstart
Using cron-1.4 (Cron 1.4) for 'cron'

Application Options
-------------------
  Domain:      wxj
  Cartridges:  zend-5.6, mysql-5.1, cron-1.4
  Source Code: https://github.com/ncdc/drupal-quickstart
  Gear Size:   default
  Scaling:     no

Creating application 'drupal2' ... done

  Note: You should set password for the Zend Server Console at: https://drupal2-wxj.dev.rhcloud.com/ZendServer

MySQL 5.1 database added.  Please make note of these credentials:

       Root User: adminyRfxWjX
   Root Password: 82QMwucjBh96
   Database Name: drupal2

Connection URL: mysql://$OPENSHIFT_MYSQL_DB_HOST:$OPENSHIFT_MYSQL_DB_PORT/

You can manage your new MySQL database by also embedding phpmyadmin.
The phpmyadmin username and password will be the same as the MySQL credentials above.

To schedule your scripts to run on a periodic basis, add the scripts to 
your application's .openshift/cron/{minutely,hourly,daily,weekly,monthly}/
directories (and commit and redeploy your application).

Example: A script .openshift/cron/hourly/crony added to your application
         will be executed once every hour.
         Similarly, a script .openshift/cron/weekly/chronograph added
         to your application will be executed once every week.

Zend Server 5.6 started successfully
Zend Server 5.6 stopped successfully
Zend Server 5.6 started successfully

Waiting for your DNS name to be available ... done

Cloning into 'drupal2'...
The authenticity of host 'drupal2-wxj.dev.rhcloud.com (54.234.233.149)' can't be established.
RSA key fingerprint is 1a:a7:b7:a5:a1:32:35:d5:2d:08:2c:20:11:bf:aa:66.
Are you sure you want to continue connecting (yes/no)? no
Host key verification failed.
fatal: Could not read from remote repository.

Please make sure you have the correct access rights
and the repository exists.
Unable to clone your repository. Called Git with: git clone ssh://5265e7318e21538f48000116@drupal2-wxj.dev.rhcloud.com/~/git/drupal2.git/
"drupal2"

!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
WARNING:  Your application was created successfully but had problems during
          configuration. Below is a list of the issues and steps you can
          take to complete the configuration of your application.

  Application URL: http://drupal2-wxj.dev.rhcloud.com/

  Issues:
    1. We were unable to clone your application's git repo - Unable to clone your repository. Called Git with: git clone
ssh://5265e7318e21538f48000116@drupal2-wxj.dev.rhcloud.com/~/git/drupal2.git/ "drupal2"

  Steps to complete your configuration:
    1. Clone your git repo
      $ rhc git-clone drupal2

  If you continue to experience problems after completing these steps,
  you can try destroying and recreating the application:

    $ rhc app delete drupal2 --confirm

  Please contact us if you are unable to successfully create your
  application:

    Support - https://www.openshift.com/support

!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!



Your application 'drupal2' is now available.

  URL:        http://drupal2-wxj.dev.rhcloud.com/
  SSH to:     5265e7318e21538f48000116@drupal2-wxj.dev.rhcloud.com
  Git remote: ssh://5265e7318e21538f48000116@drupal2-wxj.dev.rhcloud.com/~/git/drupal2.git/

Run 'rhc show-app drupal2' for more details about your app.
Comment 17 XiuJuan Wang 2013-10-21 23:44:21 EDT
Sorry, I am not familiar with bugzilla workflow.
now, I change the status from verified to assigned again

on the dev_3925 with https://github.com/ncdc/drupal-quickstart, it works

Sorry, again.
Comment 18 Meng Bo 2013-10-23 05:54:55 EDT
Created attachment 815302 [details]
STG_528_ncdc_drupal.log

Checked on currect STG (devenv-stage_528), issue still can be reproduced for both the two quickstart repo.
Comment 19 Meng Bo 2013-10-23 05:55:53 EDT
Created attachment 815303 [details]
STG_528_openshift_drupal.log
Comment 23 Michal Fojtik 2013-10-23 10:54:07 EDT
I created a new TO_STAGE PR:

https://github.com/openshift/li/pull/2020

Should be merging now.
Comment 24 Andy Goldstein 2013-10-23 10:58:54 EDT
This should be retested on a stage environment that corresponds to 2.0.34.2. The other fixes (li PR 2020, origin-server PR 3955) are for master aka what will be 2.0.35.
Comment 26 Wei Sun 2013-10-23 20:05:45 EDT
Verified on devenv_3937.

Result:
[wsun@dhcp-8-229 test]$ rhc app create drupal zend-5  mysql-5 cron --from-code=git://github.com/openshift/drupal-quickstart.git
Using zend-5.6 (Zend Server 5.6) for 'zend-5'
Using mysql-5.1 (MySQL 5.1) for 'mysql-5'
Using cron-1.4 (Cron 1.4) for 'cron'

Application Options
-------------------
  Domain:      wsundev3937
  Cartridges:  zend-5.6, mysql-5.1, cron-1.4
  Source Code: git://github.com/openshift/drupal-quickstart.git
  Gear Size:   default
  Scaling:     no

Creating application 'drupal' ... done

  Note: You should set password for the Zend Server Console at: https://drupal-wsundev3937.dev.rhcloud.com/ZendServer

MySQL 5.1 database added.  Please make note of these credentials:

       Root User: adminDgVytEe
   Root Password: IeApJGB5yPgK
   Database Name: drupal

Connection URL: mysql://$OPENSHIFT_MYSQL_DB_HOST:$OPENSHIFT_MYSQL_DB_PORT/

You can manage your new MySQL database by also embedding phpmyadmin.
The phpmyadmin username and password will be the same as the MySQL credentials above.

To schedule your scripts to run on a periodic basis, add the scripts to
your application's .openshift/cron/{minutely,hourly,daily,weekly,monthly}/
directories (and commit and redeploy your application).

Example: A script .openshift/cron/hourly/crony added to your application
         will be executed once every hour.
         Similarly, a script .openshift/cron/weekly/chronograph added
         to your application will be executed once every week.

Zend Server 5.6 started successfully
Zend Server 5.6 stopped successfully
Zend Server 5.6 started successfully

Waiting for your DNS name to be available ... done

Cloning into 'drupal'...
The authenticity of host 'drupal-wsundev3937.dev.rhcloud.com (54.224.42.160)' can't be established.
RSA key fingerprint is 1a:a7:b7:a5:a1:32:35:d5:2d:08:2c:20:11:bf:aa:66.
Are you sure you want to continue connecting (yes/no)? yes
Warning: Permanently added 'drupal-wsundev3937.dev.rhcloud.com,54.224.42.160' (RSA) to the list of known hosts.

Your application 'drupal' is now available.

  URL:        http://drupal-wsundev3937.dev.rhcloud.com/
  SSH to:     526862aaec1063a772000007@drupal-wsundev3937.dev.rhcloud.com
  Git remote: ssh://526862aaec1063a772000007@drupal-wsundev3937.dev.rhcloud.com/~/git/drupal.git/
  Cloned to:  /home/wsun/test/dev/test/drupal

Note You need to log in before you can comment on or make changes to this bug.